Class: VRequestListener

Source Location: /libraries/vwp/ui/listener.php

Class Overview [line 46]

VType
   |
   --VObject
      |
      --VRequestListener

Virtual Web Platform - Request Listener

Author(s):

Version:

Copyright:

  • (c) Ralph Ritoch - All Rights Reserved

Variables

Constants

Methods


Inherited Variables

Inherited Constants

Inherited Methods

Class: VObject

VObject::__construct()
Class Constructor
VObject::bind()
Bind values to this object
VObject::delete()
Delete Object
VObject::get()
Get value
VObject::getAll()
Get all object values
VObject::getError()
Get error message
VObject::getErrors()
Get errors
VObject::getMethods()
Get object methods
VObject::getProperties()
Get object properties
VObject::save()
Save Object
VObject::set()
Set a value
VObject::setError()
Set error value
VObject::setProperties()
Set property values
VObject::setProperty()
Set property value
VObject::toString()
Convert object to string
VObject::__destruct()
Class Destructor
VObject::__toString()
Return object as a string


Class Details

Virtual Web Platform - Request Listener

This class provides the Request Listener system interface

    Request listeners are used to produce a task request from
    a users request. The request listener layer abstracts the
    request protocol from the task being requested. This frees
    the widget from having to identify the request protocol
    and extracting the request parameters.

Tags:

[ Top ]


Class Variables

$args = array()

[line 65]

Task Arguments

Tags:

  • var - Task Arguments
  • access - protected

Type: array

Overrides:

[ Top ]

$task

[line 56]

Requested Task

Tags:

  • var - Task
  • access - protected

Type: string

Overrides:

[ Top ]

$_class_prefix

[line 74]

Class Prefix

Tags:

  • access - protected

Type: string

Overrides:

[ Top ]

$_class_suffix

[line 83]

Class Suffix

Tags:

  • var - Class Suffix
  • access - protected

Type: string

Overrides:

[ Top ]

$_widget_path

[line 92]

Widget Path

Tags:

  • var - Widget Path
  • access - protected

Type: string

Overrides:

[ Top ]


Class Methods

getClassPrefix

string getClassPrefix( )

[line 116]

Get Class Prefix

Tags:

  • return - Class prefix
  • access - public

Parameters:

[ Top ]

getClassSuffix

string getClassSuffix( )

[line 129]

Get Class Suffix

Tags:

  • return - Class suffix
  • access - public

Parameters:

[ Top ]

getParams

VWidgetParams|object Widget &getParams( string $ref)

[line 186]

Get Widget Parameters

Tags:

  • return - parameters if found, error or warning otherwise
  • access - public

Parameters:

  • string $ref - Parameter data reference

[ Top ]

getTask

string getTask( )

[line 241]

Get Current Task Request Method Name

Note: This method should be overridden by all request listeners

Tags:

  • return - Task method name
  • access - public

Parameters:

[ Top ]

getTaskParams

array &getTaskParams( )

[line 219]

Get Task Parameters

Tags:

  • return - Task Parameters
  • access - public

Parameters:

[ Top ]

getWidgetPath

string getWidgetPath( )

[line 173]

Get Widget Path

Tags:

  • return - Widget path
  • access - public

Parameters:

[ Top ]

setClassParts

void setClassParts( string $prefix, string $suffix)

[line 145]

Set Class Parts

This method should not be called directly. It is used internally to configure the request listener.

Tags:

  • access - public

Parameters:

  • string $prefix - Class prefix
  • string $suffix - Class suffix

[ Top ]

setTaskParams

void setTaskParams( &$params, array $params)

[line 104]

Set Task Params

This method should be called by the implementing request listener to assign parameters from the task request.

Tags:

  • access - protected

Parameters:

  • array $params - Task Request Parameters
  • &$params -

[ Top ]

setWidgetPath

void setWidgetPath( string $path)

[line 161]

Set Widget Path

This method should not be called directly. It is used internally to configure the request listener.

Tags:

  • access - public

Parameters:

  • string $path - Path

[ Top ]


Class Constants


Documentation generated on Mon, 17 Jan 2011 01:57:24 -0600 by phpDocumentor 1.4.3